Bug 22698 - Fix incorrect button classes
Summary: Fix incorrect button classes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 22023
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-12 15:03 UTC by Owen Leonard
Modified: 2019-04-26 11:49 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22698: Fix incorrect button classes (53.20 KB, patch)
2019-04-12 16:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22698: Fix incorrect button classes (53.43 KB, patch)
2019-04-13 21:44 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 22698: Fix incorrect button classes (53.49 KB, patch)
2019-04-15 02:44 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-04-12 15:03:30 UTC
Bug 22023 made a change to our Bootstrap CSS which required an update to the standard set of classes we use for toolbar buttons. Many buttons were updated by that patch, but some still remain to be fixed.
Comment 1 Owen Leonard 2019-04-12 16:21:23 UTC Comment hidden (obsolete)
Comment 2 Michal Denar 2019-04-13 21:44:57 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2019-04-15 02:44:39 UTC
Created attachment 87978 [details] [review]
Bug 22698: Fix incorrect button classes

This patch builds on Bug 22023 in making further corrections to toolbar
button classes.

To test, apply the patch and view the following pages to confirm that
toolbar buttons are consistent:

- Acquisitions -> Vendor -> View basket.
- Administration -> Additional fields -> Select a table.
- Administration -> Audio alerts.
- Catalog -> Advanced search -> More/fewer options link
- Cataloging -> Edit record -> Advanced editor -> Advanced search.
- Cataloging -> Edit record -> Advanced editor -> Macros.
- Cataloging -> Edit record -> MARC21 008 value builder.
- Cataloging -> Search results.
- Circulation -> Checkout notes.
- Circulation: Sticky due date clear button, view restrictions, override
   restrictions temporarily, add message, delete message
- Course reserves: Toolbar buttons on that page and the course reserve
   detail page.
- ILL requests -> View ILL requests. The "New ILL request" and "List
   requests" button.
- Lists and Lists -> View list.
- Patrons -> Search -> Merge patrons.
- Patrons -> View patron -> "Edit" button on patron image (patronimages
   must be enabled).
- Patrons -> View patron -> "More" menu -> Manage API keys.
- Patrons -> View patron -> "More" menu -> Set permissions.
- Patrons -> View patron -> Delete circulation message link.
- Patrons -> View patron -> Edit patron.
- Patrons -> View patron -> Housebound.
- Reports -> Dictionary.
- Serials -> Numbering patterns.
- Serials -> Subscription -> Receive.
- Tools -> Labels -> Manage -> Label batches: Export selected.
- Tools -> Patron card creator -> Manage -> Card batches -> Edit batch.
- Tools -> Patron card creator. The "New" and "Manage" buttons.
- Tools -> Patron clubs.
- Tools -> Quote editor -> Import quotes.
- Tools -> Rotating collections. Toolbar buttons on that page and the
   collection view page.
- Tools -> Tags.
- Tools -> Upload local cover image.

Signed-off-by: Michal Denar <black23@gmail.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 4 Nick Clemens 2019-04-16 13:27:45 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-26 11:49:02 UTC
Bug with enhancement not in 18.11.x series.